using System;
using System.Collections.Generic;
using System.Runtime.InteropServices;
using System.Web.UI;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.WebControls;
using System.Net;
using Microsoft.SharePoint;

namespace BlazerStudios.WeatherWebpart
{
    [Guid("cbe476af-9ed9-4c7b-9a76-2a6af730e5e6")]
    public class WeatherWebpart : Microsoft.SharePoint.WebPartPages.WebPart
    {
        private bool _error = false;
        private string _myProperty = null;


        [Personalizable(PersonalizationScope.Shared)]
        [WebBrowsable(true)]
        [System.ComponentModel.Category("Weather Webpart Setting")]
        [WebDisplayName("Zipcode")]
        public string MyProperty
        {
            get
            {
                if (_myProperty == null)
                {
                    _myProperty = "";
                }
                return _myProperty;
            }
            set { _myProperty = value; }
        }

        private string _xslt;
        [Personalizable(PersonalizationScope.Shared)]
        [WebBrowsable(true)]
        [System.ComponentModel.Category("Weather Webpart Setting")]
        [WebDisplayName("XSLT")]
        public string XSLT
        {
            get
            {
                try
                {
                    if (_xslt == null)
                    {
                        WebClient wc = new WebClient();
                        wc.UseDefaultCredentials = true;
                        _xslt = wc.DownloadString("http://sharepointdev/_layouts/weather.xslt");
                    }
                }
                catch (Exception ex)
                {
                    _xslt = "";
                }
                return _xslt;
            }
            set { _xslt = value; }
        }


        public WeatherWebpart()
        {
            this.ExportMode = WebPartExportMode.All;
        }

        /// <summary>
        /// Create all your controls here for rendering.
        /// Try to avoid using the RenderWebPart() method.
        /// </summary>
        protected override void CreateChildControls()
        {
            
        }

        
        /// <summary>
        /// Ensures that the CreateChildControls() is called before events.
        /// Use CreateChildControls() to create your controls.
        /// </summary>
        /// <param name="e"></param>
        protected override void OnLoad(EventArgs e)
        {
            if (!_error)
            {
                try
                {
                    base.OnLoad(e);
                    //this.EnsureChildControls();

                    
                    
                }
                catch (Exception ex)
                {
                    HandleException(ex);
                }
            }
        }

        protected override void OnInit(EventArgs e)
        {
            if (!_error)
            {
                try
                {

                   
                    this.Controls.Add(Page.LoadControl("/_layouts/BlazerStudios.WeatherWebpart.ascx"));

                }
                catch (Exception ex)
                {
                    HandleException(ex);
                }
            }
        }

        protected override void OnPreRender(EventArgs e)
        {

            
        }

        /// <summary>
        /// Clear all child controls and add an error message for display.
        /// </summary>
        /// <param name="ex"></param>
        private void HandleException(Exception ex)
        {
            this._error = true;
            this.Controls.Clear();
            this.Controls.Add(new LiteralControl(ex.Message));
        }
    }
}
